// this function verifies disk space in kilobytes
function verifyDiskSpace(dirPath, spaceRequired)
{
  var spaceAvailable;

  // Get the available disk space on the given path
  spaceAvailable = fileGetDiskSpaceAvailable(dirPath);

  // Convert the available disk space into kilobytes
  spaceAvailable = parseInt(spaceAvailable / 1024);

  // do the verification
  if(spaceAvailable < spaceRequired)
  {
    logComment("Insufficient disk space: " + dirPath);
    logComment("  required : " + spaceRequired + " K");
    logComment("  available: " + spaceAvailable + " K");
    return(false);
  }

  return(true);
}


var srDest = 17179;

var err = initInstall("Netscape Seamonkey", "Browser", "6.0.0.2000110800"); 
logComment("initInstall: " + err);

var fProgram = getFolder("Program");
logComment("fProgram: " + fProgram);

if (verifyDiskSpace(fProgram, srDest))
{
    err = addDirectory("Program",
                   "6.0.0.2000110800",
                   "viewer",           // jar source folder
                   fProgram,           // target folder
                   "",                 // target subdir 
                   true );             // force flag 

    logComment("addDirectory() returned: " + err);

    if (err == SUCCESS)
    {
        registerChrome(CONTENT | DELAYED_CHROME, getFolder("Chrome","toolkit.jar"),"content/global/");
        registerChrome(CONTENT | DELAYED_CHROME, getFolder("Chrome","comm.jar"),"content/communicator/");
        registerChrome(CONTENT | DELAYED_CHROME, getFolder("Chrome","comm.jar"),"content/editor/");
        registerChrome(CONTENT | DELAYED_CHROME, getFolder("Chrome","comm.jar"),"content/navigator/");
        registerChrome(SKIN | DELAYED_CHROME, getFolder("Chrome","modern.jar"),"skin/modern/communicator/");
        registerChrome(SKIN | DELAYED_CHROME, getFolder("Chrome","modern.jar"),"skin/modern/editor/");
        registerChrome(SKIN | DELAYED_CHROME, getFolder("Chrome","modern.jar"),"skin/modern/global/");
        registerChrome(SKIN | DELAYED_CHROME, getFolder("Chrome","modern.jar"),"skin/modern/messenger/");
        registerChrome(SKIN | DELAYED_CHROME, getFolder("Chrome","modern.jar"),"skin/modern/navigator/");
        registerChrome(SKIN | DELAYED_CHROME, getFolder("Chrome","modern.jar"),"skin/modern/aim/");
        registerChrome(SKIN | DELAYED_CHROME, getFolder("Chrome","classic.jar"),"skin/classic/communicator/");
        registerChrome(SKIN | DELAYED_CHROME, getFolder("Chrome","classic.jar"),"skin/classic/editor/");
        registerChrome(SKIN | DELAYED_CHROME, getFolder("Chrome","classic.jar"),"skin/classic/global/");
        registerChrome(SKIN | DELAYED_CHROME, getFolder("Chrome","classic.jar"),"skin/classic/messenger/");
        registerChrome(SKIN | DELAYED_CHROME, getFolder("Chrome","classic.jar"),"skin/classic/navigator/");
        registerChrome(SKIN | DELAYED_CHROME, getFolder("Chrome","classic.jar"),"skin/classic/aim/");
        registerChrome(LOCALE | DELAYED_CHROME, getFolder("Chrome","fr-FR.jar"),"locale/fr-FR/communicator/");
        registerChrome(LOCALE | DELAYED_CHROME, getFolder("Chrome","fr-FR.jar"),"locale/fr-FR/editor/");
        registerChrome(LOCALE | DELAYED_CHROME, getFolder("Chrome","fr-FR.jar"),"locale/fr-FR/global/");
        registerChrome(LOCALE | DELAYED_CHROME, getFolder("Chrome","fr-FR.jar"),"locale/fr-FR/messenger/");
        registerChrome(LOCALE | DELAYED_CHROME, getFolder("Chrome","fr-FR.jar"),"locale/fr-FR/navigator/");
        registerChrome(LOCALE | DELAYED_CHROME, getFolder("Chrome","fr-FR.jar"),"locale/fr-FR/aim/");
    }

    // make an alias to the browser on the desktop 
    var desktopFolder = getFolder("Mac Desktop");
    var ignoreErr = fileMacAlias(fProgram,  "Netscape 6",      // source
                                 desktopFolder, "Netscape 6"); // target
    logComment("fileMacAlias() returned: " + ignoreErr);

    if (err==SUCCESS)
    {
	    err = performInstall(); 
    	logComment("performInstall() returned: " + err);
    }
    else
    {
	    cancelInstall(err);
    	logComment("cancelInstall() due to error: " + err);
    }
}
else
    cancelInstall(INSUFFICIENT_DISK_SPACE);
